<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
   public function up(): void
{
    Schema::create('namaz_diaries', function (Blueprint $table) {
        $table->id();

        $table->foreignId('user_id')->constrained()->onDelete('cascade');

        $table->date('date');

        $table->boolean('fajr')->default(false);
        $table->boolean('zuhar')->default(false);
        $table->boolean('asar')->default(false);
        $table->boolean('maghrib')->default(false);
        $table->boolean('isha')->default(false);

        $table->timestamps();

        $table->unique(['user_id', 'date']);
    });
}
};
